package com.qmth.themis.business.enums;

/**
 * @Description: 系统操作 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/2
 */
public enum SystemOperationEnum {

    LOGIN("登录","用户登录"),

    LOGOUT("注销","用户注销"),

    SESSION("会话","用户会话"),

    FIRST_PREPARE("首次候考", "进入候考"),

    ANSWERING("正在答题","进入考试"),

    BREAK_OFF("已中断","考试中断"),

    RESUME_PREPARE("断点恢复候考","断点恢复候考"),

    FINISHED("交卷","交卷"),

    PERSISTED("数据已保存","数据已保存"),

    BREACH_HANDLE("违纪处理","违纪处理"),

    BREACH_REVOKE("撤销违纪","撤销违纪");

    private String code;

    private String title;

    private SystemOperationEnum(String code,String title) {
        this.code = code;
        this.title = title;
    }

    public String getCode() {
        return code;
    }

    public String getTitle() {
        return title;
    }
}
